from bottle import view, get, post, run, request

@get("/")
@post("/")
@view("main.html")
def main_view():
    if request.method == "GET":
        return {
                "process": False,
                "rashod": None,
                "rasst": None,
                "result": None,
                "rashod_bad": False,
                "rasst_bad": False
            }
    else:
        # Обработка формы
        # 1. Извлечение данных
        rashod = request.POST["rashod"]
        rasst = request.POST["rasst"]
        # 2. Подготовка данных

        rashod_bad = False
        rasst_bad = False

        # 3. Валидация данных
        try:
            rashod = float(rashod)
        except ValueError:
            rashod_bad = True

        try:
            rasst = float(rasst)
        except ValueError:
            rasst_bad = True

        if not rasst_bad and not rashod_bad:
            # 4. Обработка данных
            result = rashod / 100 * rasst
            # 5. Подготовка результата
            return {
                "process": True,
                "rashod": rashod,
                "rasst": rasst,
                "result": result,
                "rashod_bad": rashod_bad,
                "rasst_bad": rasst_bad
            }
        else:
            # Сообщаем об ошибке
            return {
                "process": False,
                "rashod": rashod,
                "rasst": rasst,
                "result": None,
                "rashod_bad": rashod_bad,
                "rasst_bad": rasst_bad
            }

run(host="localhost", port=8000)
